# $Revision: 1.40 $, $Date: 2009/06/18 12:06:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	SmallProf
Summary:	Devel::SmallProf - per-line Perl profiler
Summary(pl.UTF-8):	Devel::SmallProf - system wspomagania programowania w Perlu
Name:		perl-Devel-SmallProf
Version:	2.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	498704ed1b888fc62b0c7092f8b590f5
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Devel::SmallProf profiler is focused on the time taken for a
program run on a line-by-line basis.  It is intended to be as "small"
in terms of impact on the speed and memory usage of the profiled
program as possible and also in terms of being simple to use.

%description -l pl.UTF-8
System wspomagania programowania w Perlu Devel::SmallProf jest
zogniskowany na ilość czasu, potrzebnego na wykonanie poszczególnych
wierszy programu. Powinien on być na tyle mały, aby, o ile to możliwe,
nie wpływał na szybkość i zużycie pamięci analizowanego programu.
Powinien być też prosty w użyciu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-SmallProf.spec,v $
Revision 1.40  2009/06/18 12:06:13  amateja
- updated to 2.02

Revision 1.39  2008/07/27 22:33:14  arekm
- release 3

Revision 1.38  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.36  2004/11/03 22:30:19  paladine
- formatting

Revision 1.35  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.34  2004/05/06 18:09:31  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/25 10:46:47  ankry
- tests added

Revision 1.32  2004/04/20 11:57:46  ankry
- summary/description/license fixes

Revision 1.31  2004/01/24 22:17:27  arekm
- autoupdated to 1.15

Revision 1.30  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:42  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/06/11 22:39:27  misi3k
- updated to 1.11

Revision 1.27  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:31:37  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:47:04  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:30:58  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:11:34  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:25:32  depesz
adapterized

Revision 1.14  2002/01/18 02:14:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:08:13  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/02 10:37:59  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/08/22 08:09:07  kloczek
- updated to 0.9.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:49  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:41:44  pius
- updated to 0.7

Revision 1.2  1999/11/04 21:24:39  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:16  pius
- initial release
